Subject: Re: [fmc] Issue #1: Identification (was RE: List description)

From: <[email-masked]>
Date: Wed, 17 Oct 2012 14:30:14 +0200

Dear all,

As a follow up to this discussion thread and in order to help better understand the host identification issue, we edited an I-D discussing various use cases in which host identification is needed. This document does not discuss any solution.

The document is available at:
http://tools.ietf.org/html/draft-boucadair-intarea-host-identifier-scenarios-01

The document provides a big picture view of scenarios suffering from this technical issue. 

Contribution, comments and suggestions are more than welcome.

Cheers,
Med

>-----Message d'origine-----
>De : [email-masked] [mailto:[email-masked]] De la 
>part de [email-masked]
>Envoyé : jeudi 12 avril 2012 08:02
>À : Xueli; Donald Eastlake; David Allan I
>Cc : Dean cheng; [email-masked]; [email-masked]
>Objet : [fmc] Issue #1: Identification (was RE: List description)
>
>Dear Xue,
>

[SNIP]

>
>I'm also interested to hear from you about other scenarios 
>which may require "explicit" HOST_ID. Would it be possible to 
>provide answers to the questions I asked below? Thanks. 
>
>Cheers,
>Med
>
>>-----Message d'origine-----
>>De : [email-masked] [mailto:[email-masked]] De la 
>>part de Xueli
>>Envoyé : jeudi 12 avril 2012 04:54
>>À : BOUCADAIR Mohamed OLNC/NAD/TIP; Donald Eastlake; David Allan I
>>Cc : Dean cheng; [email-masked]; [email-masked]
>>Objet : Re: [fmc] List description
>>
>>Hi Med,
>>
>>Thanks a lot for your detailed information. 
>>You raised a very good point of the work. Then I would like to 
>>add few questions here.
>>
>>Why do you think that the port set solution is more 
>>appropriate for FMC case? And do you mind to explain which 
>>definition of FMC case you mentioned here?
>>Port set solution may be one choice. But the huge 
>>configuration works on RGs could not be avoided, additionally, 
>>the RGs are the subscriber side, which even make 
>>the configuration work more difficult. 
>>
>>BR
>>Li
>>
>>> -----Original Message-----
>>> From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of
>>> [email-masked]
>>> Sent: Wednesday, April 11, 2012 2:07 PM
>>> To: Donald Eastlake; David Allan I
>>> Cc: Dean cheng; [email-masked]; [email-masked]
>>> Subject: Re: [fmc] List description
>>> 
>>> Dear all,
>>> 
>>> There is no recommended solution for the FMC case, because 
>>there are not
>>> clear requirements for that case.
>>> I have suggested to Behcet to further elaborate on the 
>>requirements from an
>>> "FMC" standpoint. Below an excerpt of what I sent to Behcet:
>>> 
>>> * The current HOST_ID effort in INTAREA WG is restricted to 
>>the analysis of
>>> potential channels which may convey the HOST_ID information
>>> * A recommendation is likely to be added.but in the context 
>>of address sharing
>>> (RFC6269)
>>> * FMC proponents should elaborate further their requirements for the
>>> HOST_ID
>>> (1) Required only during session initialization?
>>> (2) Required for all transport protocols?
>>> (3) Host modification should be avoided or it does not harm?
>>> (4) Which entity will use the HOST_ID information: proxy 
>>servers, else?
>>>   (4a) Packet inspection is required? No?
>>>   (4b) Performance impact
>>> (5) Which entity will set the HOST_ID information?
>>> 
>>> BTW, I discussed this point with some colleagues and it 
>>seems using port sets
>>> would be more appropriate for the FMC case (i.e.,
>>> 
>>http://tools.ietf.org/html/draft-ietf-intarea-nat-reveal-analys
>>is-01#section-3.3)
>>> .
>>> 
>>> If port sets are used, a dedicated notification channel is 
>>needed to report
>>> assigned port sets. FYI, I'm working with Dean on this point.
>>> 
>>> Cheers,
>>> Med
>>> 
>>> >-----Message d'origine-----
>>> >De : [email-masked] [mailto:[email-masked]] De la
>>> >part de Donald Eastlake
>>> >Envoyé : mercredi 11 avril 2012 00:55
>>> >À : David Allan I
>>> >Cc : [email-masked]; [email-masked]
>>> >Objet : Re: [fmc] List description
>>> >
>>> >I think that the nat-reveal draft, while it discusses 8 different
>>> >possible solutions, does not actually propose any specific solution
>>> >for any specific problem, such as the FMC/NAT problem.
>>> >
>>> >Thanks,
>>> >Donald
>>> >=============================
>>> > Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>>> > 155 Beaver Street, Milford, MA 01757 USA
>>> > [email-masked]
>>> >
>>> >On Tue, Apr 10, 2012 at 5:17 PM, David Allan I
>>> ><[email-masked]> wrote:
>>> >> Thanks Donald.
>>> >>
>>> >> So it is being addressed elsewhere. It is NOT the focus of
>>> >this effort...
>>> >>
>>> >> Given that clarification, this discussion is going circular.
>>> >We now revert to "what IETF FMC work are we discussing?"
>>> >>
>>> >> Dave
>>> >>
>>> >> -----Original Message-----
>>> >> From: Donald Eastlake [mailto:[email-masked]]
>>> >> Sent: Tuesday, April 10, 2012 2:07 PM
>>> >> To: David Allan I
>>> >> Cc: [email-masked]; [email-masked]
>>> >> Subject: Re: [fmc] List description
>>> >>
>>> >> I think this is the draft:
>>> >>
>>> >https://datatracker.ietf.org/doc/draft-ietf-intarea-nat-reveal-
>>> >analysis/
>>> >> That is an INTAREA WG draft.
>>> >>
>>> >> Thanks,
>>> >> Donald
>>> >> =============================
>>> >>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>>> >>  155 Beaver Street, Milford, MA 01757 USA
>>> >>  [email-masked]
>>> >>
>>> >>
>>> >> On Tue, Apr 10, 2012 at 4:32 PM, David Allan I
>>> ><[email-masked]> wrote:
>>> >>> Hi Bechet:
>>> >>>
>>> >>> You did not provide a useful answer. You simply pointed out
>>> >to me things I've said (repeatedly).
>>> >>>
>>> >>> I asked:
>>> >>> 1) Where was the draft you referred to?
>>> >>> 2) What WG is working on it?
>>> >>> 3) Is it the topic of the effort represented by this list?
>>> >>>
>>> >>> Can you please clarify...
>>> >>>
>>> >>> Thanks
>>> >>> Dave
>>> >>>
>>> >>>
>>> >>>
>>> >>>
>>> >>> -----Original Message-----
>>> >>> From: Behcet Sarikaya [mailto:[email-masked]]
>>> >>> Sent: Tuesday, April 10, 2012 1:29 PM
>>> >>> To: David Allan I
>>> >>> Cc: [email-masked]
>>> >>> Subject: Re: [fmc] List description
>>> >>>
>>> >>> Hi Dave,
>>> >>>
>>> >>> In November 2011, 3GPP-BBF Workshop
>>> >>> chaired by
>>> >>>
>>> >>> Dave Allan (BBF), Balazs Bertenyi (3GPP)
>>> >>>
>>> >>> issued Chairmen's Summary slides at:
>>> >>>
>>> >http://www.3gpp.org/ftp/workshop/2011-11-09_3GPP_BBF_SFO/Docs/3BF-1
>>> 104
>>> >>> 6.zip
>>> >>>
>>> >>> which stated on Slide 4
>>> >>>
>>> >>> In case of RG with NATs additional mechanisms are needed to
>>> >enable this. Jointly encourage IETF work on such mechanisms.
>>> >>>
>>> >>> That's all I have to say.
>>> >>>
>>> >>> I think we should concentrate on IETF work on FMC
>>> >discussions on this list.
>>> >>>
>>> >>> Kind regards,
>>> >>>
>>> >>> Behcet
>>> >>>
>>> >>> On Tue, Apr 10, 2012 at 1:32 PM, David Allan I
>>> ><[email-masked]> wrote:
>>> >>>> Hi Bechet:
>>> >>>>
>>> >>>>> Thanks for your mail.
>>> >>>>
>>> >>>>> Two points.
>>> >>>>
>>> >>>>> Point 1. Can you please clarify that you have expressed
>>> >your personal opinion not wearing any hats?
>>> >>>>
>>> >>>> Does it matter?
>>> >>>>
>>> >>>> Point 2. On:
>>> >>>>
>>> >>>>>>The outstanding headwound is a wifi connected UE behind a
>>> >NAT, and I
>>> >>>>>>believe that is already being addressed elsewhere in the IETF.
>>> >>>>
>>> >>>>> Yes, there is a draft called NAT Reveal Analysis draft.
>>> >It analyzes the problem and suggests very many solutions (5-6)
>>> >and there are even solutions not mentioned in NAT Reveal
>>> >Analysis draft.
>>> >>>>
>>> >>>> A pointer to the draft would be useful. And the WG context
>>> >it is being entertained in....
>>> >>>>
>>> >>>>> So it is a difficult problem and maybe explains why so
>>> >many people are subscribed to this list.
>>> >>>>
>>> >>>> So is solving the NAT problem the purpose of this
>>> >endeavour? I did not get that.
>>> >>>>
>>> >>>> <snipped to end>
>>> >>>> Cheers
>>> >>>> Dave
>>> >>>>
>>> >>>> _______________________________________________
>>> >>>> fmc mailing list
>>> >>>> [email-masked]
>>> >>>> https://www.ietf.org/mailman/listinfo/fmc
>>> >>> _______________________________________________
>>> >>> fmc mailing list
>>> >>> [email-masked]
>>> >>> https://www.ietf.org/mailman/listinfo/fmc
>>> >_______________________________________________
>>> >fmc mailing list
>>> >[email-masked]
>>> >https://www.ietf.org/mailman/listinfo/fmc
>>> >
>>> _______________________________________________
>>> fmc mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/fmc
>>_______________________________________________
>>fmc mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/fmc
>>
>_______________________________________________
>fmc mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/fmc
>